%define extraversion %nil

Summary:	Command line utilities to access digital cameras
Name:		gphoto2
Version:	2.5.14
Release:	%mkrel 1
License:	GPL+
Group:		Graphics/Photography
Url:		http://sourceforge.net/projects/gphoto/
Source0:	http://downloads.sourceforge.net/gphoto/%{name}-%{version}%{?extraversion:%extraversion}.tar.bz2
Requires:	libgphoto-common
BuildRequires:	gphoto2-devel >= %{version}
BuildRequires:	cdk-devel
BuildRequires:	libexif-devel >= 0.3.2
BuildRequires:	jpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	libaa-devel
BuildRequires:	libpopt-devel
BuildRequires:	readline-devel

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel.

This package contains the command-line utility gphoto2.

%prep
%setup -q -n %{name}-%{version}%{?extraversion:%extraversion}

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS ChangeLog README TODO gphoto2/test-hook.sh
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Fri Jul 07 2017 luigiwalser <luigiwalser> 2.5.14-1.mga6
+ Revision: 1109369
- 2.5.14
- fix source URL

* Wed Nov 30 2016 luigiwalser <luigiwalser> 2.5.11-1.mga6
+ Revision: 1071291
- 2.5.11

* Mon May 09 2016 luigiwalser <luigiwalser> 2.5.10-1.mga6
+ Revision: 1011465
- 2.5.10

* Thu Dec 31 2015 luigiwalser <luigiwalser> 2.5.9-1.mga6
+ Revision: 917418
- 2.5.9

* Sun Aug 23 2015 ycantin <ycantin> 2.5.8-1.mga6
+ Revision: 868776
- new version 2.5.8

* Fri Feb 20 2015 anaselli <anaselli> 2.5.6-1.mga5
+ Revision: 816064
- new upstream version 2.5.6

* Wed Oct 15 2014 umeabot <umeabot> 2.5.5-3.mga5
+ Revision: 751094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.5-2.mga5
+ Revision: 679911
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 2.5.5-1.mga5
+ Revision: 674268
- 2.5.5

* Mon Apr 28 2014 dams <dams> 2.5.4-1.mga5
+ Revision: 618672
- new version 2.5.4

* Sat Feb 15 2014 dams <dams> 2.5.3-1.mga5
+ Revision: 591520
- new version 2.5.3

* Sat Oct 19 2013 umeabot <umeabot> 2.5.2-2.mga4
+ Revision: 523501
- Mageia 4 Mass Rebuild

* Sat May 11 2013 guillomovitch <guillomovitch> 2.5.2-1.mga3
+ Revision: 413016
- new version

* Sat Jan 12 2013 umeabot <umeabot> 2.5.0-3.mga3
+ Revision: 352521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 2.5.0-2.mga3
+ Revision: 322373
- clean spec
- fix group

* Sun Aug 05 2012 guillomovitch <guillomovitch> 2.5.0-1.mga3
+ Revision: 278517
- new version

* Mon Jun 04 2012 fwang <fwang> 2.4.14-1.mga3
+ Revision: 253867
- new version 2.4.14

* Mon Jun 20 2011 tv <tv> 2.4.11-1.mga2
+ Revision: 110698
- new release

* Sat Jan 22 2011 blino <blino> 2.4.10-2.mga1
+ Revision: 33321
- fix requires

* Sat Jan 15 2011 blino <blino> 2.4.10-1.mga1
+ Revision: 18851
- remove old conflicts
- imported package gphoto2

